> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prediction Market Trades by Address

> Retrieves prediction market trades from Polymarket by an address.

<Badge icon="flask" color="yellow">Beta</Badge>

Explore and preview data from [Orbscan](https://orbscan.com/), a prediction market explorer by team Etherscan.

Experimental endpoint, limits, auth and pricing may change in the future. We love feedback and data consistency at [apisupport@etherscan.io](mailto:apisupport@etherscan.io)

### Query Parameters

<ParamField query="trader" default="0x6a72f61820b26b1fe4d956e17b6dc2a1ea3033ee" type="string" required>
  The trader address to query.
</ParamField>

<ParamField query="limit" default="20" type="integer">
  The maximum number of trade records to return.
</ParamField>

<ParamField query="cursor" type="string">
  The pagination cursor returned as `nextCursor` from the previous response. Omit this parameter for the first page.
</ParamField>

<ResponseExample>
  ```json Example response theme={null}
  {
    "success": true,
    "code": "0",
    "message": "success",
    "data": {
      "items": [
        {
          "time": 1780455348,
          "action": "Buy",
          "recordType": "TRADE",
          "actionType": 0,
          "price": 93.000002030000088000,
          "quantity": 42.857141000000000000,
          "fee": 0E-18,
          "grossValue": 39.857142000000000000,
          "perLegTxValue": 0E-18,
          "transferNetAmount": 42.857141000000000000,
          "txHash": "0x86659cd0973c7054662ea373f4aef5e902534a83bc101423bcbfb5903911481c",
          "tokenId": "99712600321456820436514549846085788583993494623577833658394864438542452432374",
          "marketId": "2394628",
          "marketSlug": "nhl-las-car-2026-06-02",
          "eventSlug": "nhl-las-car-2026-06-02",
          "conditionId": "",
          "marketTitle": "Golden Knights vs. Hurricanes",
          "positionSide": "Golden Knights",
          "outcomeIndex": 0,
          "logo": "https://polymarket-upload.s3.us-east-2.amazonaws.com/nhl.png",
          "quantityPercentage": 100.0000,
          "trader": "0x6a72f61820b26b1fe4d956e17b6dc2a1ea3033ee",
          "liquidityRole": "MAKER",
          "counterpartyCount": 1,
          "counterpartyTrades": null
        },
        {
          "time": 1780455346,
          "action": "Buy",
          "recordType": "TRADE",
          "actionType": 0,
          "price": 93.000000000000000000,
          "quantity": 24.850000000000000000,
          "fee": 0E-18,
          "grossValue": 23.110500000000000000,
          "perLegTxValue": 0E-18,
          "transferNetAmount": 24.850000000000000000,
          "txHash": "0x0edf7fc704fd4de58d90a3891bccca0442f8ce14d485bcaa603748a86079c3e9",
          "tokenId": "99712600321456820436514549846085788583993494623577833658394864438542452432374",
          "marketId": "2394628",
          "marketSlug": "nhl-las-car-2026-06-02",
          "eventSlug": "nhl-las-car-2026-06-02",
          "conditionId": "",
          "marketTitle": "Golden Knights vs. Hurricanes",
          "positionSide": "Golden Knights",
          "outcomeIndex": 0,
          "logo": "https://polymarket-upload.s3.us-east-2.amazonaws.com/nhl.png",
          "quantityPercentage": 100.0000,
          "trader": "0x6a72f61820b26b1fe4d956e17b6dc2a1ea3033ee",
          "liquidityRole": "MAKER",
          "counterpartyCount": 1,
          "counterpartyTrades": null
        }
      ],
      "nextCursor": "MTc4MDQ1NTM0Nnw4NzgzNzUwMHwxMDY0fDB4MGVkZjdmYzcwNGZkNGRlNThkOTBhMzg5MWJjY2NhMDQ0MmY4Y2UxNGQ0ODViY2FhNjAzNzQ4YTg2MDc5YzNlOToxMDY0"
    }
  }
  ```
</ResponseExample>
